import { OnChanges } from '@angular/core';
import { DotCMSColumnContainer, DotCMSContentlet, DotContainerAttributes, EditableContainerData } from '@dotcms/uve/types';
import * as i0 from "@angular/core";
/**
 * @description This component renders a container with all its content using the layout provided by dotCMS Page API.
 *
 * @see {@link https://www.dotcms.com/docs/latest/page-rest-api-layout-as-a-service-laas}
 * @category Components
 * @internal
 * @class ContainerComponent
 */
export declare class ContainerComponent implements OnChanges {
    #private;
    /**
     * The container data to be rendered
     */
    container: DotCMSColumnContainer;
    $containerData: import("@angular/core").WritableSignal<EditableContainerData | null>;
    $contentlets: import("@angular/core").WritableSignal<DotCMSContentlet[]>;
    $isEmpty: import("@angular/core").Signal<boolean>;
    $dotAttributes: import("@angular/core").Signal<DotContainerAttributes>;
    dotObject: string;
    acceptTypes: string | null;
    identifier: string | null;
    maxContentlets: string | null;
    uuid: string | null;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContainerComponent, "dotcms-container", never, { "container": { "alias": "container"; "required": true; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=container.component.d.ts.map