import { ElementRef, OnChanges } from '@angular/core';
import { DotCMSContentlet, DotContentletAttributes } from '@dotcms/uve/types';
import { DynamicComponentEntity } from '../../../../models';
import * as i0 from "@angular/core";
/**
 * @description Contentlet component that renders DotCMS content with development mode support
 *
 * @component
 * @param {DotCMSContentlet} contentlet - The contentlet to be rendered
 * @param {string} container - The container identifier
 * @class ContentletComponent
 */
export declare class ContentletComponent implements OnChanges {
    #private;
    contentlet: DotCMSContentlet;
    container: string;
    contentletRef: ElementRef;
    dotObject: string;
    $contentlet: import("@angular/core").WritableSignal<DotCMSContentlet | null>;
    $UserComponent: import("@angular/core").WritableSignal<DynamicComponentEntity | null>;
    $UserNoComponent: import("@angular/core").WritableSignal<DynamicComponentEntity | null>;
    $isDevMode: import("@angular/core").Signal<boolean>;
    $haveContent: import("@angular/core").WritableSignal<boolean>;
    $style: import("@angular/core").Signal<{
        minHeight: string;
    } | {
        minHeight?: undefined;
    }>;
    $dotAttributes: import("@angular/core").Signal<DotContentletAttributes>;
    identifier: string | null;
    basetype: string | null;
    title: string | null;
    inode: string | null;
    type: string | null;
    containerAttribute: string | null;
    onNumberOfPages: string | null;
    styleAttribute: {
        [key: string]: unknown;
    } | null;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    private setupComponents;
    private checkContent;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentletComponent, "dotcms-contentlet", never, { "contentlet": { "alias": "contentlet"; "required": true; }; "container": { "alias": "container"; "required": true; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=contentlet.component.d.ts.map