import { OnChanges } from '@angular/core';
import { DotCMSPageAsset, DotCMSPageRendererMode, DotPageAssetLayoutRow } from '@dotcms/uve/types';
import { DotCMSPageComponent } from '../../models';
import * as i0 from "@angular/core";
/**
 * @description This component is used to render the layout for a DotCMS page.
 * @param {DotCMSPageAsset} page - The page to render the layout for
 * @param {DotCMSPageComponent} components - The components to render the layout for
 * @param {DotCMSPageRendererMode} mode - The mode to render the layout for
 *
 * @example
 * <dotcms-layout-body [page]="page" [components]="components" [mode]="'development'" />
 *
 * @export
 * @implements {OnChanges}
 * @class DotCMSLayoutBodyComponent
 */
export declare class DotCMSLayoutBodyComponent implements OnChanges {
    #private;
    page: DotCMSPageAsset;
    components: DotCMSPageComponent;
    mode: DotCMSPageRendererMode;
    $isDevMode: import("@angular/core").Signal<boolean>;
    $rows: import("@angular/core").WritableSignal<DotPageAssetLayoutRow[]>;
    $isEmpty: import("@angular/core").WritableSignal<boolean>;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DotCMSLayoutBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DotCMSLayoutBodyComponent, "dotcms-layout-body", never, { "page": { "alias": "page"; "required": true; }; "components": { "alias": "components"; "required": true; }; "mode": { "alias": "mode"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=dotcms-layout-body.component.d.ts.map