import { DotCMSPageStore } from '../models';
import * as i0 from "@angular/core";
export declare const EMPTY_DOTCMS_PAGE_STORE: DotCMSPageStore;
/**
 * @description This service is responsible for managing the page context.
 * @internal
 * @author dotCMS
 * @export
 * @class DotCMSStore
 */
export declare class DotCMSStore {
    private $store;
    /**
     * @description Get the store
     * @readonly
     * @type {DotCMSPageStore}
     * @memberof DotCMSStore
     */
    get store(): DotCMSPageStore;
    /**
     * @description Set the store
     * @param {DotCMSPageStore} value
     * @memberof DotCMSStore
     */
    setStore(store: DotCMSPageStore): void;
    /**
     * @description Get if the current context is in development mode
     * @readonly
     * @type {boolean}
     * @memberof DotCMSStore
     */
    $isDevMode: import("@angular/core").Signal<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DotCMSStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DotCMSStore>;
}
//# sourceMappingURL=dotcms.store.d.ts.map